import numpy as np
import matplotlib.pyplot as plt

f_hg45, hg45 = np.loadtxt('900.TXT', unpack=1, usecols=(0, 1), comments='"')
#f_ocxo9, ocxo9 = np.loadtxt('806.TXT', unpack=1, usecols=(0, 1), comments='"')

plt.figure(figsize=(5,4))
plt.clf()
plt.plot(f_hg45/1e6, hg45-6-10*np.log10(30e3), 'b', alpha=0.7, lw=2)
#plt.plot(f_ocxo9/1e6, ocxo9, 'r', alpha=0.7, lw=2, label='OCXO')
plt.xlim(40.5, 50.5)
plt.xlabel('Frequency [MHz]')
plt.ylabel('Power [dBc/Hz]')
plt.title('45 MHz HG output in CER, with BPF, 2015--09--03')
plt.grid()
#plt.legend(loc='best', framealpha=0.7, fancybox=True)
plt.tight_layout()
plt.savefig('45MHz_CER_with_BPF.pdf')
